function formatNumber(number, decimalSep, groupSep) {
  var sgn = "";
  if(number < 0) {
    sgn = "-";
    number = Math.abs(number);
  }
  var numberInt = "" + Math.floor(number + 0.001);
  var numberFrac = "" + (Math.floor(number * 100 + 0.1) - numberInt * 100);
  if(numberFrac.length < 2) numberFrac = "0" + numberFrac;
  if(groupSep != "" && numberInt.length > 3) {
    var newNumberInt = "";
    var pos = numberInt.length % 3;
    if(pos == 0) pos = 3;
    newNumberInt += numberInt.substring(0,pos);
    while(pos < numberInt.length) {
    	pos += 3;
    	newNumberInt += (groupSep + numberInt.substring(pos - 3,pos));
    }
    numberInt = newNumberInt;
  }
  return sgn + numberInt + decimalSep + numberFrac;  
}

function displayAllNumbers(classname, decimalSep, groupingSep) {
	$("." + classname).each(function(index, element) {
		element = $(element);
		var number = element.attr("data-value");
		if(number) {
			number = parseFloat(number);
		} else {
			number = eval(element.attr("data-varname"));
		}
		output = formatNumber(number, decimalSep, groupingSep);
		element.html(output);
		if(number == 0) {
			element.addClass("zero");
		} else {
			element.removeClass("zero");
		}
	});
}

function displayExplanations(classname, decimalSep, groupingSep, currency) {
	$("." + classname).each(function(index, element) {
		element = $(element);
		var explanation = element.attr("data-explanation");
		if(explanation) {
			var explanationRecords = eval(explanation);
			var explanationText = "";
			for(var i in explanationRecords) {
				var recordText = getExplanationDisplayText(explanationRecords[i], decimalSep, groupingSep, currency);
				if(explanationText.length > 0 && recordText.length > 0 && recordText.charAt(0) != "+" && recordText.charAt(0) != "-") {
					recordText = "+" + recordText;
				}
				explanationText += recordText;
			}
			element.html(explanationText);
		}
	});
	
}

function getExplanationDisplayText(record, decimalSep, groupingSep, currency) {
	if(record.source) {
		var result = formatNumber(record.amount, decimalSep, groupingSep) + "&nbsp;<span class=\"currency\">" + currency + "</span>";
		if(record.source) {
			result += "&nbsp;(" + record.source;
			if(record.valuetype) {
				result += ", " + record.valuetype;
			}
			result += ")";
		}
		if(record.amount >= 0) {
			result = "+" + result + " ";
		}
		return result;
	}
	if(record.factor) {
		var result = record.factor + "*&nbsp;(";
		if(record.factor == 1) {
			result = "(";
		}
		if(record.factor == -1) {
			result = "-(";
		}
			
		var line = ""
		for(var i in record.contents) {
			var recordText = getExplanationDisplayText(record.contents[i], decimalSep, groupingSep, currency);
			if(line.length > 0) {
				line += "<br>";
			}
			line += recordText;
		}
		result += line + ")";
		
		if(result == "()") {
			result = "";
		}
		
		return result;
	}
	console.log(record);
	return "---";
}

function displayCurrencyUnit(classname, currencyUnit) {
	if(currencyUnit != "") {
		currencyUnit = "&nbsp;" + currencyUnit;
	}
	$("." + classname).html(currencyUnit);
}

function setGlobalValues(decimalSep, groupingSep) {
	$("body").data("decimalseparator", decimalSep);
	$("body").data("groupseparator", groupingSep);
}

$(document).ready(function() {
	displayAllNumbers("number", JES_GLOBAL_DECIMAL_SEPARATOR, JES_GLOBAL_GROUPING_SEPARATOR);
	displayExplanations("explanation", JES_GLOBAL_DECIMAL_SEPARATOR, JES_GLOBAL_GROUPING_SEPARATOR, JES_GLOBAL_CURRENCY_SYMBOL);
	displayCurrencyUnit("currency", JES_GLOBAL_CURRENCY_SYMBOL);
});
