// Calculate tax amounts when tax items have been selected/deselected

function formatPut(number,id,decimalSep,groupSep) {
  var sgn = "";
  if(number<0) {
    sgn = "-";
    number = Math.abs(number);
  }
  var numberInt = "" + Math.floor(number+0.001);
  var numberFrac = "" + (Math.floor(number*100+0.1)-numberInt*100);
  if(numberFrac.length<2) numberFrac = "0" + numberFrac;
  if(numberInt.length>3) {
    var newNumberInt = "";
    var pos = numberInt.length % 3;
    if(pos==0) pos = 3;
    newNumberInt += numberInt.substring(0,pos);
    while(pos<numberInt.length) {
    	pos += 3;
    	newNumberInt += (groupSep + numberInt.substring(pos-3,pos));
    }
    numberInt = newNumberInt;
  }
  // create HTML string
  var html = sgn + numberInt + decimalSep + numberFrac;
  // if the given ID exists as DOM object ID, manipulate DOM tree
  if(id) {
	  var obj = $(id).find(".amount");
	  if(obj) {
		  $(obj).html(html);
		  if(number==0) {
			  $(obj).addClass("zero");
		  } else {
			  $(obj).removeClass("zero");
		  }
		  return;
	  }
  }
  
}


function checkboxClicked(checkbox) {
	var row = $(this).parentsUntil("tr").parent();
	row.toggleClass("skip noprint");
	
	var taxrows = $("tr.taxrow");
	var amount = 0.0;
	var tax = 0.0;
	for(var i=0; i<taxrows.length; i++) {
		var taxrow = $(taxrows[i]);
		if(!taxrow.hasClass("skip")) {
			var cells = taxrow.children("[data-amount]");
			amount = amount + parseFloat($(cells[0]).data("amount"));
			tax = tax + parseFloat($(cells[1]).data("amount"));
		}
	}
	
	var decimalSep = $("body").data("decimalseparator");
	var groupSep = $("body").data("groupseparator");
	formatPut(amount,"#incomingAmountTotal",decimalSep,groupSep);
	formatPut(tax,"#incomingTaxTotal",decimalSep,groupSep);
	
	var outgoingTax = parseFloat($("#outgoingTaxTotal").data("amount"));
	var remainingTax = tax - outgoingTax;
	
	formatPut(remainingTax,"#remainingTax",decimalSep,groupSep);	
}

$(document).ready(function() {
	$("input[type=checkbox]").on("click",checkboxClicked);
});